# DMCoarsen

Coarsens a DM object

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCoarsen(DM dm, MPI_Comm comm, DM *dmc)

Collective on DM

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or PETSC_NULL)

### Output Parameter

dmc -the coarsened DM

### See Also

DMRefine(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMGetInterpolation()

Level:developer
Location:src/dm/da/utils/dm.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages